=== modified file 'drizzled/charset.h'
--- drizzled/charset.h	2011-11-09 20:20:23 +0000
+++ drizzled/charset.h	2011-11-22 06:24:37 +0000
@@ -25,7 +25,9 @@
 
 #include <sys/types.h>
 #include <cstddef>
+
 #include <drizzled/visibility.h>
+#include <drizzled/common_fwd.h>
 #include <drizzled/definitions.h>
 
 namespace drizzled {

=== modified file 'drizzled/dtcollation.h'
--- drizzled/dtcollation.h	2011-08-12 16:41:20 +0000
+++ drizzled/dtcollation.h	2011-11-22 06:24:37 +0000
@@ -21,6 +21,7 @@
 
 #include <drizzled/definitions.h>
 #include <drizzled/visibility.h>
+#include <drizzled/common_fwd.h>
 
 namespace drizzled {
 

=== modified file 'drizzled/file_exchange.h'
--- drizzled/file_exchange.h	2011-10-14 10:40:47 +0000
+++ drizzled/file_exchange.h	2011-11-22 06:24:37 +0000
@@ -23,6 +23,7 @@
 #include <drizzled/sql_string.h>
 #include <drizzled/memory/sql_alloc.h>
 #include <drizzled/enum.h>
+#include <drizzled/common_fwd.h>
 
 namespace drizzled {
 

=== modified file 'drizzled/identifier/table.h'
--- drizzled/identifier/table.h	2011-07-07 13:28:01 +0000
+++ drizzled/identifier/table.h	2011-11-22 06:24:37 +0000
@@ -48,6 +48,7 @@
 #include <boost/functional/hash.hpp>
 
 #include <drizzled/visibility.h>
+#include <drizzled/common_fwd.h>
 #include <drizzled/identifier/schema.h>
 
 namespace drizzled {

=== modified file 'drizzled/plugin/plugin.h'
--- drizzled/plugin/plugin.h	2011-06-13 16:17:54 +0000
+++ drizzled/plugin/plugin.h	2011-11-22 06:24:37 +0000
@@ -26,6 +26,7 @@
 #include <map>
 
 #include <drizzled/visibility.h>
+#include <drizzled/common_fwd.h>
 
 namespace drizzled {
 namespace plugin {

=== modified file 'drizzled/replication_services.h'
--- drizzled/replication_services.h	2011-06-24 13:24:06 +0000
+++ drizzled/replication_services.h	2011-11-22 06:24:37 +0000
@@ -32,6 +32,7 @@
 #include <utility>
 
 #include <drizzled/visibility.h>
+#include <drizzled/common_fwd.h>
 
 namespace drizzled {
 

=== modified file 'drizzled/session/cache.h'
--- drizzled/session/cache.h	2011-06-22 16:36:40 +0000
+++ drizzled/session/cache.h	2011-11-22 06:24:37 +0000
@@ -22,6 +22,7 @@
 #include <boost/thread/condition_variable.hpp>
 #include <boost/thread/mutex.hpp>
 #include <drizzled/visibility.h>
+#include <drizzled/common_fwd.h>
 #include <list>
 
 namespace drizzled {

=== modified file 'drizzled/show.h'
--- drizzled/show.h	2011-10-17 22:46:16 +0000
+++ drizzled/show.h	2011-11-22 06:24:37 +0000
@@ -29,6 +29,7 @@
 #include <drizzled/enum.h>
 #include <drizzled/util/data_ref.h>
 #include <drizzled/visibility.h>
+#include <drizzled/common_fwd.h>
 
 namespace drizzled {
 

=== modified file 'drizzled/sql_string.h'
--- drizzled/sql_string.h	2011-10-17 21:19:03 +0000
+++ drizzled/sql_string.h	2011-11-22 06:24:37 +0000
@@ -30,6 +30,7 @@
 #include <string>
 
 #include <drizzled/visibility.h>
+#include <drizzled/common_fwd.h>
 
 #ifndef NOT_FIXED_DEC
 #define NOT_FIXED_DEC			(uint8_t)31

=== modified file 'drizzled/thr_lock.h'
--- drizzled/thr_lock.h	2011-10-26 12:03:22 +0000
+++ drizzled/thr_lock.h	2011-11-22 06:24:37 +0000
@@ -22,6 +22,7 @@
 #include <boost/thread/condition_variable.hpp>
 
 #include <drizzled/visibility.h>
+#include <drizzled/common_fwd.h>
 
 namespace drizzled {
 

=== modified file 'drizzled/visibility.h'
--- drizzled/visibility.h	2011-03-28 21:29:18 +0000
+++ drizzled/visibility.h	2011-11-22 06:24:37 +0000
@@ -27,8 +27,6 @@
 
 #pragma once
 
-#include <drizzled/common_fwd.h>
-
 /**
  *
  * DRIZZLED_API is used for the public API symbols. It either DLL imports or

